#set term png font arial 14 size 1024,600
set terminal pngcairo  background "#ffffff" enhanced fontscale 0.8 size 800, 480  dashlength 2
set output "wm66_diagramm.png"
set title "WM66 Brauvorgang Big Rock Tradintional Ale/Lager"
set xlabel "Zeitraum"
set ylabel "Temperatur (°C)"
set grid
set xdata time
set format x "%H:%M"
set timefmt "%Y-%m-%d %H:%M:%S"

## TEST 1
#set for [i=1:5] linetype i dt i
#set style line 1 lt 1 lc rgb "blue" lw 1
#set style line 2 lt 2 lc rgb "red"  lw 1
#plot '< sed ''s/,/ /g'' linked_sensor.log' using 1:3 lt 1 lc 3 title 'WM66-Temperatur', '< sed ''s/,/ /g'' linked_kettle.log' using 1:3 ls 2 title 'Target-Temperatur'

set yrange [0:115]
set ytics 5

set xrange ['2021-02-26 06:16:08':'2021-02-26 12:50:00']
set xtics rotate by 90 right out nomirror
set xtics 15*60

set datafile sep ';'
set style data lines
plot '< sed ''s/,/; /g'' ~/Dokumente/wm66pi_logs/kettle_1.log' using 1:2 title 'Target-Temperatur', '< sed ''s/,/; /g'' ~/Dokumente/wm66pi_logs/sensor_3.log' using 1:2 lw 3 title 'WM66-Temperatur'
